Package: org.codehaus.groovy.ast.expr

## [Java] Class FieldExpression

- org.codehaus.groovy.ast.expr.FieldExpression

- Represents a field access such as the expression "this.foo".

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class Expression` | `EMPTY_ARRAY`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `FieldExpression (FieldNode field)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `FieldNode` | `getField()`
    `` | `String` | `getFieldName()`
    `` | `String` | `getText()`
    `` | `ClassNode` | `getType()`
    `` | `boolean` | `isDynamicTyped()`
    `` | `boolean` | `isUseReferenceDirectly()`
    `` | `void` | `setType(ClassNode type)`
    `` | `void` | `setUseReferenceDirectly(boolean useRef)`
    `` | `String` | `toString()`
    `` | `Expression` | `transformExpression(ExpressionTransformer transformer)`
    `` | `void` | `visit(GroovyCodeVisitor visitor)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Expression` | `getType, setType, transformExpression, transformExpressions, transformExpressions`
    `class AnnotatedNode` | `addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, getGroovydoc, getInstance, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic`
    `class ASTNode` | `copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getMetaDataMap, getText, hashCode, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setMetaDataMap, setSourcePosition, visit`

- - ### Constructor Detail

    - #### public FieldExpression(FieldNode field)

  - ### Method Detail

    - #### public FieldNode getField()

    - #### public String getFieldName()

    - #### public String getText()

    - #### public ClassNode getType()

    - #### public boolean isDynamicTyped()

    - #### public boolean isUseReferenceDirectly()

    - #### public void setType(ClassNode type)

    - #### public void setUseReferenceDirectly(boolean useRef)

    - #### public String toString()

    - #### public Expression transformExpression(ExpressionTransformer transformer)

    - #### public void visit(GroovyCodeVisitor visitor)